##### Minimax Estimation of the Volume of a Set under the Rolling Ball Condition

We provide, as part of the supplementary material for our paper, a collection of R scripts that allow reviewers to reproduce the numerical experiments described in Section 4 of our paper. 

The user needs to install the alphahull package and dependencies (version 2.1) https://cran.r-project.org/web/packages/alphahull/index.html and the ggplot2 package https://cran.r-project.org/web/packages/ggplot2/index.html to reproduce the plots.

* The function **volest.R** implements the optimal volume estimator described in Algorithm 1.  
* To set up and run the simulation study on the non-convex case, see the **runNonconvex.R** script.
* To set up and run the simulation study on the convex case, see the **runConvex.R** script (it requires the splancs package https://cran.r-project.org/web/packages/splancs/index.html and the spatstats package https://cran.r-project.org/web/packages/spatstat/index.html).